Bug 2079779 - Backport Request: Rebuild containerd package with a critical patch
Summary: Backport Request: Rebuild containerd package with a critical patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: containerd
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-28 08:37 UTC by nabeelnrana
Modified: 2022-05-20 01:56 UTC (History)
5 users (show)

Fixed In Version: containerd-1.6.4-1.fc37 containerd-1.6.4-1.fc36 containerd-1.6.4-1.fc35 containerd-1.6.4-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-11 05:13:49 UTC
Type: Bug


Attachments (Terms of Use)

Description nabeelnrana 2022-04-28 08:37:08 UTC
Description:


Opening this to request for rebuilding containerd package including a cricital patch and backporting to Fedora RPM.

The issue in question:

https://github.com/containerd/containerd/issues/6767

Issue originally reported under Fedora-CoreOS-Tracker:
https://github.com/coreos/fedora-coreos-tracker/issues/1138

Patch for the fix already merged to containerd:main
https://github.com/containerd/containerd/commit/cb84b5a1d2ac0852a030a8fd7435a916dd77dbc3

Comment 1 Fedora Update System 2022-05-11 05:13:49 UTC
FEDORA-2022-463b829cf7 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 2 Dusty Mabe 2022-05-11 22:35:48 UTC
Can we get a Fedora 36 build of this? I see a 34, 35 and 37. No 36.

Comment 3 Fedora Update System 2022-05-11 23:09:35 UTC
FEDORA-2022-9bd449f3b5 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9bd449f3b5

Comment 4 Fedora Update System 2022-05-11 23:10:34 UTC
FEDORA-2022-dd72fa65d4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-dd72fa65d4

Comment 5 Fedora Update System 2022-05-12 02:47:37 UTC
FEDORA-2022-9bd449f3b5 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9bd449f3b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9bd449f3b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-05-12 03:10:03 UTC
FEDORA-2022-dd72fa65d4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-dd72fa65d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-dd72fa65d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-12 03:51:14 UTC
FEDORA-2022-aa2f62aabd has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-aa2f62aabd

Comment 8 Fedora Update System 2022-05-12 15:57:20 UTC
FEDORA-2022-aa2f62aabd has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-aa2f62aabd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-aa2f62aabd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-05-20 01:25:27 UTC
FEDORA-2022-aa2f62aabd has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-05-20 01:28:58 UTC
FEDORA-2022-9bd449f3b5 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-05-20 01:56:47 UTC
FEDORA-2022-dd72fa65d4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.